pcm.!default {
        type plug
        slave {
                pcm both
        }
}

ctl.!default {
        type hw
        card 0
}

pcm.analog_hw {
        type hw
        card 0
        device 0
        channels 2
}

ctl.analog_hw {
        type hw
        card 0
}

pcm.hdmi_hw {
        type hw
        card 1
        device 0
        channels 2
}
ctl.hdmi_hw {
        type hw
        card 0
}

pcm.multi {
        type multi;
        slaves.a {
                pcm analog_hw
                channels 2
        }
        slaves.b {
                pcm hdmi_hw
                channels 2
        }
        bindings.0.slave a
        bindings.0.channel 0
        bindings.1.slave a
        bindings.1.channel 1
        bindings.2.slave b
        bindings.2.channel 0
        bindings.3.slave b
        bindings.3.channel 1
}

ctl.multi {
        type hw
        card 0
}

pcm.both {
        type route
        slave {
                pcm multi
                channels 4
        }
        ttable.0.0 1.0
        ttable.1.1 1.0
        ttable.0.2 1.0
        ttable.1.3 1.0
}

ctl.both {
        type hw
        card 0
}